searchData={"items":[{"type":"module","title":"DidWeb","doc":"This module contains functions to resolve a Web DID.","ref":"DidWeb.html"},{"type":"function","title":"DidWeb.resolve/2","doc":"Resolves the URL from a Web DID, gets the DID document from the URL, and validates the returned DID document.\n\nReturns the resolved DID document or an error.","ref":"DidWeb.html#resolve/2"},{"type":"function","title":"Options - DidWeb.resolve/2","doc":"- `:doh`: The Web DID specification recommends using DNS over HTTPS (DoH). DoH is not enabled by default, and currently only the Cloudflare DoH service is supported. In case you want to use a different DoH service, you can use the `resolve_url/1` function to do the HTTP request yourself.\n\n  Possible values: `:none` (default), `:cloudflare`","ref":"DidWeb.html#resolve/2-options"},{"type":"function","title":"Validation - DidWeb.resolve/2","doc":"The \"id\" of the resolved DID document is validated to be equal to the provided Web DID.","ref":"DidWeb.html#resolve/2-validation"},{"type":"function","title":"Examples - DidWeb.resolve/2","doc":"# Default HTTPS request\n\n    > DidWeb.resolve(\"did:web:example.com\")\n    {:ok, did_document}\n\n    # Request using Cloudflares DNS over HTTPS service\n\n    > DidWeb.resolve(\"did:web:example.com\", doh: :cloudflare)\n    {:ok, did_document}","ref":"DidWeb.html#resolve/2-examples"},{"type":"function","title":"DidWeb.resolve_url/1","doc":"Resolve the URL of a Web DID.\n\nReturns the resolved URL or an error.","ref":"DidWeb.html#resolve_url/1"},{"type":"function","title":"Examples - DidWeb.resolve_url/1","doc":"iex> DidWeb.resolve_url(\"did:web:example.com\")\n    {:ok, %URI{scheme: \"https\", authority: \"example.com\", host: \"example.com\", path: \"/.well-known/did.json\", port: 443}}\n\n    iex> DidWeb.resolve_url(\"did:web:example.com%3A3000:some:path\")\n    {:ok, %URI{scheme: \"https\", authority: \"example.com:3000\", host: \"example.com\", path: \"/some/path/did.json\", port: 3000}}\n\n    iex> DidWeb.resolve_url(\"did:web:notaurl\")\n    {:error, {:input_error, \"Not a valid URL: https://notaurl\"}}","ref":"DidWeb.html#resolve_url/1-examples"}],"content_type":"text/markdown"}